DC_BLUETOOTH_ADDR2STR(3)

NAME
dc_bluetooth_addr2str - Convert a bluetooth address to a string.

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/bluetooth.h>
const char*
dc_bluetooth_addr2str(dc_bluetooth_address_t address, char *str, size_t size);

DESCRIPTION
Convert a bluetooth address to a string.

The bluetooth address is formatted as XX:XX:XX:XX:XX:XX, where each XX is a hexadecimal number specifying an octet of the 48-bit address. The minimum size for the buffer is DC_BLUETOOTH_SIZE bytes.

The reverse can be done with dc_bluetooth_str2addr(3).

RETURN VALUES
Returns the bluetooth address represented as a string.

SEE ALSO
dc_bluetooth_str2addr(3).

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org.
This manpage is written by Vincent Hagen, vinnie@script4web.nl.